Module org.firebirdsql.jaybird
Package org.firebirdsql.jaybird.util

# Class ExceptionHelper

java.lang.Object
org.firebirdsql.jaybird.util.ExceptionHelper

public final class ExceptionHelper extends Object
Helpers for exception handling

Author:
  Mark Rotteveel

## Method Summary

Modifier and Type
Method
Description
`static String`
`collectAllMessages(SQLException sqlException)`
Iterates over the `SQLException` and concatenates all messages from the exception, its causes, and next exceptions and their causes.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### collectAllMessages

public static String collectAllMessages(SQLException sqlException)
Iterates over the `SQLException` and concatenates all messages from the exception, its causes, and next exceptions and their causes.

The messages are produced using `Throwable.toString()`, so they include the name of the exception.

Parameters:
  `sqlException` - starting exception
Returns:
  All exception messages concatenated using new line